Rebuild multiple nodes at once

View as Markdown
Rebuild multiple nodes in a simulation at once. Rebuilding a node means returning the node to either the state of the current checkpoint of its simulation or its initial, first boot state. When rebuilding from the initial state, all repeatable instructions for selected nodes will be applied. All existing instructions created for the selected nodes which have not yet been completed will be failed. All existing instructions created for the selected nodes which have not yet been delivered will be cancelled. All nodes must be part of the same simulation in the `ACTIVE` state. **Required scope:** `air:simulation_edit` (roles: `air_org_admin`, `air_user`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
simulationstringOptionalformat: "uuid"

An ACTIVE simulation to rebuild nodes in.

nodeslist of objectsOptional

Nodes in given ACTIVE simulation that need to be rebuilt.

checkpointstring or nullOptionalformat: "uuid"

A COMPLETE checkpoint to rebuild from. If null, nodes will be rebuilt from scratch. If not specified, Air will use the checkpoint the simulation is currently running off of. If specified, the value must be the checkpoint the simulation is currently running off of.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error